package cache

import "github.com/dgraph-io/badger/v3"

func (c *CacheRepository) Delete(key string) error {
	return c.cache.Update(func(txn *badger.Txn) error {
		return txn.Delete([]byte(key))
	})
}
