package cache

import "github.com/dgraph-io/badger/v3"

func (c *CacheRepository) Exist(key string) (bool, error) {
	_, err := c.Get(key)
	if err != nil {
		if err != badger.ErrKeyNotFound {
			return false, nil
		}
	}
	return true, err
}
